Bug 990825 - User in java:global/zanata/security/admin-users in standalone.xml should become admin after first sign in
User in java:global/zanata/security/admin-users in standalone.xml should beco...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.0
Assigned To: Carlos Munoz
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 01:06 EDT by Ding-Yi Chen
Modified: 2013-11-26 22:34 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0.0-alpha-2-SNAPSHOT (20130812-0932)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:23:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2013-08-01 01:06:42 EDT
Description of problem:

User in java:global/zanata/security/admin-users in standalone.xml does not become admin after first login.

Version-Release number of selected component (if applicable):
Zanata version 3.0.0-alpha-2-SNAPSHOT (20130730-0037)

How reproducible:
Always

Steps to Reproduce:
1. service jbossas stop
2. In standalone.xml, search "<subsystem xmlns="urn:jboss:domain:naming:1.3">"
   Add the user "adm" in to the value of java:global/zanata/security/admin-users.
   i.e. <simple name="java:global/zanata/security/admin-users" value="adm"/>
3. service jbossas start
4. Register user adm
5. Activate the user adm by enabling it from database:
   UPDATE HAccount SET enabled = true WHERE username = 'adm'
6. Sign in as adm.

Actual results:
adm does not have admin role.

Expected results:
adm has admin role.

Additional info:
Comment 2 Ding-Yi Chen 2013-08-11 21:13:13 EDT
VERIFIED with Zanata version 3.0.0-alpha-2-SNAPSHOT (20130812-0932)
Comment 3 Sean Flanigan 2013-11-26 22:12:59 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 4 Sean Flanigan 2013-11-26 22:15:05 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 5 Sean Flanigan 2013-11-26 22:17:56 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 6 Sean Flanigan 2013-11-26 22:23:01 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 7 Sean Flanigan 2013-11-26 22:32:35 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 8 Sean Flanigan 2013-11-26 22:34:51 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.